package Figure2D;

public class Cerchio extends Figura2D {

	private Punto centro;
	private double raggio;
	
	
	public Cerchio( Punto c, double r ) {
		centro = c;
		raggio = Math.abs(r);	
	}
	
	public double perimetro() {
		return 2*Math.PI*raggio;
	}
	
	public double area() {
		return Math.PI*raggio*raggio;
	}
	
	public Punto getCentro() { return centro; }
	public double getRaggio() { return raggio; }
	
	
	// Cerchio di centro <centro> e raggio <raggio>
	public String toString() {
		return "Cerchio di centro " + centro + " e raggio " + raggio;
	}
	
/*  public boolean equals(Object o) {
		// Da fare per esercizio
	}
*/	
	
} //:~