package Figure2D;

public class Rettangolo  extends Figura2D {

	private Punto v1, v3;  // Vertici opposti
	
	
	public Rettangolo(Punto v1, Punto v3) {
		this.v1 = v1;
		this.v3 = v3;
	}
	
	public Punto getV1() { return v1; }
	public Punto getV2() {
			return new Punto( v3.getX(), v1.getY()  );
	}
	public Punto getV3() { return v3; }
	public Punto getV4() {
			return new Punto (v1.getX(), v3.getY() );
		
	}

	
	public double perimetro() {
		return   Math.abs(  v3.getX() - v1.getX()  )*2  +
				 Math.abs(  v3.getY() - v1.getY()  )*2;
	}
	
	public double area() {
		return  Math.abs(  v3.getX() - v1.getX()  ) * Math.abs(  v3.getY() - v1.getY()  );	
	}


	/** 
		 [ <vertice1>, <vertice2>, <vertice3> <vertice4> ]
	  */
	public String toString() {
		return "[" + getV1() + ", " + getV2() + ", " + getV3() + ", " + getV4() + "]";	
	}


/*  public boolean equals(Object o) {
		// Da fare per esercizio
	}
*/	


} //:~