package Figure2D;

public class Util {

	public Figura2D figuraConPerimetroMassimale( Figura2D[] array ) {
		if (array==null || array.length == 0) return null;	

		Figura2D max = array[0];	
		for (int i=1; i<array.length; i++) {
			if (array[i].perimetro() > max.perimetro()) {
				max = array[i];
			}		
		}
		return max;
	}
	
	
	
	public static double lunghezza(Punto t, Punto v) {
		// lunghezza = RADICE QUADRATA [ ( v.y - t.y )^2  + (v.x - tx)^2 ]
		
		// double Math.sqrt(double)   : radice quadrata
		// double Math.pow(double base, double exp)   :  restituisce base^exp
				
		return Math.sqrt(  
					Math.pow(   (v.getY() - t.getY()),  2  ) +
					Math.pow(   (v.getX() - t.getX()),  2  )
		);
		
	}
	
		




}